#ifndef KL_MAIN_H
#define KL_MAIN_H

#include "base/main.h"
#include "base/factory.h"
#include "board.h"
#include "field.h"


class KLFactory : public BaseFactory
{
 public:
    KLFactory();

 protected:
    virtual BaseBoard *createBoard(bool, TQWidget *tqparent)
        { return new KLBoard(tqparent); }
    virtual BaseInterface *createInterface(TQWidget *tqparent)
        { return new Field(tqparent); }
};

class KLMainWindow : public BaseMainWindow
{
 Q_OBJECT
  TQ_OBJECT
 public:
    KLMainWindow();
};

#endif
